Skip to main content
Resource Center/Resource Pool/VM Instance Operations

GetVmvNUMATopology

GetVmvNUMATopology

GET/zstack/v1/vm-instances/{uuid}/vnuma-topology

Operation ID

GetVmvNUMATopology

Since

4.3.12

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    The VM UUID.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • name
    StringRequired

    The VM name.

  • uuid
    StringRequired

    The VM UUID.

  • hostUuid
    StringRequired

    The host UUID.

  • topology
    array[json]Required

    The vNUMA topology. For more information, see topology.

    • nodeID
      intRequired

      The vNUMA node ID.

    • CPUsID
      array[string]Required

      The vCPU IDs in the vNUMA node.

    • phyNodeID
      intRequired

      The pNUMA node ID.

    • distance
      array[string]Required

      The distance information of the vNUMA node.

    • memSize
      longRequired

      The memory size of the vNUMA node, in the unit of B.